summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorsiddharth <s@ricketyspace.net>2022-05-22 13:27:54 -0400
committersiddharth <s@ricketyspace.net>2022-05-22 13:27:54 -0400
commitd5b2de8b9ed0cf61a8ccf74d44d296b9cb2557aa (patch)
treec0cdef49797e904e5f267644940d9d0e620ab79b /bin
parenta06efa1b6619ee4f71728acc11c6f05091e49d77 (diff)
add Dockerfile
Diffstat (limited to 'bin')
-rw-r--r--bin/Makefile12
-rwxr-xr-xbin/image13
2 files changed, 25 insertions, 0 deletions
diff --git a/bin/Makefile b/bin/Makefile
new file mode 100644
index 0000000..49e36a1
--- /dev/null
+++ b/bin/Makefile
@@ -0,0 +1,12 @@
+SH_FILES=image
+
+all: check fmt
+.PHONY: all
+
+check:
+ shellcheck -x ${SH_FILES}
+.PHONY: check
+
+fmt:
+ shfmt -w -i 4 -s ${SH_FILES}
+.PHONY: fmt
diff --git a/bin/image b/bin/image
new file mode 100755
index 0000000..8a98eb4
--- /dev/null
+++ b/bin/image
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+#
+# SPDX-License-Identifier: ISC
+# Copyright © 2022 siddharth <s@ricketyspace.net>
+
+REPO="public.ecr.aws/w3h8c8i8/peach"
+TAG=$(date +%Y%m%d%H%M%S)
+if [ -z "$TAG" ]; then
+ echo "TAG empty"
+ exit 1
+fi
+
+docker build -t "$REPO":"$TAG" .